Name:          python-dslib
Version:       3.1
Release:       5%{?dist}
Summary:       A Python library for accessing Czech Databox (Datové schránky)
Group:         Development/Libraries
License:       LGPLv2+
URL:           http://labs.nic.cz/datove-schranky/
Source0:       http://www.nic.cz/public_media/datove_schranky/releases/src/dslib-%{version}.tar.gz
BuildArch:     noarch
BuildRequires: python-setuptools
Requires:      pyOpenSSL, python-pyasn1, python-sudsds

%description
dslib is a Python library for accessing a 'Databox' - an electronic
communication interface endorsed by the Czech government.

%prep
%setup -q -n dslib-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}

# Remove wrongly installed documents, they will be correctly installed later
rm -f %{buildroot}%{_datadir}/dslib/{README,LICENSE.txt}

%files
%doc LICENSE.txt README.txt
%{python_sitelib}/*
%{_datadir}/dslib

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Sep 18 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 3.1-1
- New version
  Related: rhbz#1142899

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Dec 19 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 3.0-1
- New version

* Mon Sep 17 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 2.1.2-2
- Do not remove datadir/dslib directory

* Wed Sep 05 2012 Jaroslav Škarvada <jskarvad@redhat.com> - 2.1.2-1
- Initial version
